/**
 * Abstract service
 * @module apeman-service-base
 * @version 1.1.7
 */

'use strict'

const create = require('./create')
const ApService = require('./ap_service')
const operations = require('./operations')
const reducer = require('./reducer')
const { ERROR_SCOPE_NAME } = require('./constants')

let lib = create.bind(this)

Object.assign(lib, ApService, {
  create,
  operations,
  reducer,
  ApService,
  ERROR_SCOPE_NAME
})

module.exports = lib
